Closed Bug 486787 Opened 11 years ago Closed 4 years ago

New Reftest font-face/src-list-local-localized.html intermittently |timed out waiting for onload to fire|, (and always on MacOSX (10.4) SeaMonkey)

Categories

(Core :: Graphics, defect)

x86
macOS
defect
Not set

Tracking

()

RESOLVED WONTFIX
Tracking Status
blocking2.0 --- -

People

(Reporter: sgautherie, Assigned: jtd)

References

(Blocks 1 open bug, )

Details

(Keywords: intermittent-failure, Whiteboard: [test disabled] )

{
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1238743680.1238749649.16715.gz
OS X 10.4 comm-central unit test on 2009/04/03 00:28:00

REFTEST TEST-UNEXPECTED-FAIL | http://localhost:4444/36/font-face/src-list-local-localized.html | timed out waiting for onload to fire
}

Regression timeframe:
http://hg.mozilla.org/releases/mozilla-1.9.1/pushloghtml?startdate=2009-04-02+19%3A00%3A04&enddate=2009-04-03+00%3A25%3A01
only and obvious bug 468387
Flags: wanted1.9.1?
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1238930310.1238941465.28284.gz
Linux mozilla-central unit test on 2009/04/05 04:18:30
I thought reftests have some better way of working around this than xpcshell ones?

jdaggett, can we do something about this happening on Tiger? Is there a real bug we still hit on Tiger here?
My guess is that this is just too slow for the 10.4 machine that's hitting this problem.  The solution is to break the test out into several chunks and load only a subset per page.
(In reply to comment #4)
> My guess is that this is just too slow for the 10.4 machine

Ah, could be!

> The solution is to break the test out into several chunks and load
> only a subset per page.

Ftr, internal reftest timeout is 10 seconds.

Other options would be to either:
*Increase that timeout :-|
*Allow to override it on a per-test basis :-)

David, what do you think ?
(In reply to comment #4)
> My guess is that this is just too slow for the 10.4 machine that's hitting this
> problem.

That's possible, this is a mini, which isn't always the fastest box to run things on ;-)

> The solution is to break the test out into several chunks and load
> only a subset per page.

Sounds like a good idea, and probably also increases test granularity, right?
(In reply to comment #1)
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1238930310.1238941465.28284.gz
> Linux mozilla-central unit test on 2009/04/05 04:18:30

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1239505494.1239513008.29699.gz
Linux mozilla-central unit test on 2009/04/11 20:04:54
Summary: [SeaMonkey, MacOSX (10.4)] New Reftest |font-face/src-list-local-localized.html | timed out waiting for onload to fire| → New Reftest font-face/src-list-local-localized.html intermittently |timed out waiting for onload to fire|, (and always on MacOSX (10.4) SeaMonkey)
Version: 1.9.1 Branch → Trunk
Blocks: 438871
Whiteboard: [orange]
KaiRo, could you check how long this test currently takes to run?
As a hint to how many chunks are needed.
Assignee: nobody → jdaggett
Whiteboard: [orange] → [test disabled] [orange]
(In reply to comment #8)
> KaiRo, could you check how long this test currently takes to run?

I have no idea how to do that, sorry.
1. Increase |const LOAD_FAILURE_TIMEOUT = 10000; // ms| in <srcdir\mozilla\layout\tools\reftest\reftest.js>.
2. Execute |python objdir/mozilla/_tests/reftest/runreftest.py srcdir/mozilla/layout/reftests/font-face/reftest.list|.
3. The |REFTEST FINISHED: Slowest test took ...| line should tell us.
Hrm, that needs manual interaction on a machine that's supposed to run exclusively automatically. And it needs me to log in via VNC. Lots of work on a day when I want to reduce work a lot currently :(
Flags: wanted1.9.2?
Flags: wanted1.9.1?
Flags: wanted1.9.1.x?
Skipping the test (comment 9) is good enough for 1.9.1.x. If you want a more complete fix, please request approval on an appropriate patch.
Flags: wanted1.9.1.x?
blocking2.0: --- → ?
Depends on: 559699
John tells me this is just a timeout from getting slow VMs, so we can't really block on this.
blocking2.0: ? → -
Flags: in-testsuite?
Flags: wanted1.9.2?
Whiteboard: [test disabled] [orange] → [test disabled]
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.